jQuery(document).ready(function(){
	var page = jQuery('#page'),
		asset;

    if(showDebugConsole){
        debugConsole.show();
    }

    enplug.on('destroy', function(done){
        done();
    });

    if(allowBrowserNavigation){
		asset = enplugAssetMock;// "enplugAssetMock" é setado no "debugConsoleConfig.js"

        showContent();
    }else{
		enplug.assets.getNext().then(function(_asset){
			asset = _asset;

			showContent();
        });
    }
	
	function showContent(){
		page.append(asset.HtmlContent);

		if(!allowBrowserNavigation){
			enplug.appStatus.start();
		}
	}
});